import 'package:equatable/equatable.dart';
import 'package:flutter/foundation.dart';

import '../../core/core.dart';
import '../../models/models.dart';

class M4eGroupEntityRoleForm extends Equatable {
  final M4eUniqueId groupId;
  final List<GroupEntityRole> groupEntityRoles;

  const M4eGroupEntityRoleForm._(this.groupId, this.groupEntityRoles);

  factory M4eGroupEntityRoleForm({
    @required M4eUniqueId groupId,
    @required List<GroupEntityRole> groupEntityRoles,
  }) {
    assert(
        groupId != null, 'M4eGroupEntityRoleForm [groupId] should not be null');
    assert(groupEntityRoles != null,
        'M4eGroupEntityRoleForm [groupEntityRoles] should not be null');
    return M4eGroupEntityRoleForm._(groupId, groupEntityRoles);
  }

  List<Map<String, dynamic>> toJson() {
    return groupEntityRoles?.map((e) => e.toJson())?.toList() ?? [];
  }

  @override
  List<Object> get props => [groupId, groupEntityRoles];

  @override
  bool get stringify => true;
}
