import 'package:equatable/equatable.dart';
import 'package:flutter/foundation.dart';

import '../../core/core.dart';
import '../models.dart';

class GroupEntityRole extends Equatable {
  /// An entity represents a single user or group
  final M4eUniqueId entityId;
  final M4eRole role;

  const GroupEntityRole({@required this.entityId, @required this.role});

  Map<String, dynamic> toJson() {
    return {
      'userId': this.entityId.toString(),
      'role': this.role.toString(),
    };
  }

  @override
  List<Object> get props => [entityId, role];

  @override
  bool get stringify => true;
}
